import { ElementRef, OnChanges } from '@angular/core';
import { EventsService } from '../services/events.service';
import { AlignContent } from '../styles';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class simpoConetenAlignmentDirective implements OnChanges {
    private el;
    private eventService;
    contentAlignmentData?: AlignContent;
    constructor(el: ElementRef, eventService: EventsService);
    ngOnChanges(): void;
    ngOnDestroy(): void;
    contentAlignmentSubscription?: Subscription;
    changeAlignmentCheck(): void;
    applyContentAlignment(): void;
    removeAllClassIfPresent(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<simpoConetenAlignmentDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<simpoConetenAlignmentDirective, "[simpoContentAlignment]", never, { "contentAlignmentData": { "alias": "simpoContentAlignment"; "required": false; }; }, {}, never, never, true, never>;
}
